Get OAuth user information
curl --request GET \
--url https://developers.rocketpunch.com/oauth/userinfo \
--header 'Authorization: Bearer <token>'import requests
url = "https://developers.rocketpunch.com/oauth/userinfo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developers.rocketpunch.com/oauth/userinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developers.rocketpunch.com/oauth/userinfo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://developers.rocketpunch.com/oauth/userinfo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://developers.rocketpunch.com/oauth/userinfo")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://developers.rocketpunch.com/oauth/userinfo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sub": "OA-0123456789abcdef0123456789abcdef",
"name": "Rocketpunch",
"preferred_username": "rocketpunch",
"picture": "https://image.rocketpunch.com/user/123/profile.png",
"email": "user@example.com"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}OAuth UserInfo
Get OAuth user information
Returns claims compatible with the OIDC UserInfo Standard Claims shape. The profile scope is required, and the email claim is included only when the access token also has the email scope. This endpoint does not issue ID Tokens.
Authentication: The Authorization: Bearer <jwt> header is required.
Required OAuth scope: profile.
GET
/
oauth
/
userinfo
Get OAuth user information
curl --request GET \
--url https://developers.rocketpunch.com/oauth/userinfo \
--header 'Authorization: Bearer <token>'import requests
url = "https://developers.rocketpunch.com/oauth/userinfo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developers.rocketpunch.com/oauth/userinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developers.rocketpunch.com/oauth/userinfo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://developers.rocketpunch.com/oauth/userinfo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://developers.rocketpunch.com/oauth/userinfo")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://developers.rocketpunch.com/oauth/userinfo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sub": "OA-0123456789abcdef0123456789abcdef",
"name": "Rocketpunch",
"preferred_username": "rocketpunch",
"picture": "https://image.rocketpunch.com/user/123/profile.png",
"email": "user@example.com"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Authorizations
Headers
Response
Success. Optional claims that are not authorized or unavailable are omitted.
User information compatible with the OIDC Standard Claims shape. Claims that are unauthorized or unavailable are omitted.
Was this page helpful?